<?php
function sitemap($p04){
	//Ομάδες Επιλογών
	if($_SESSION['lang']=='GR'){
		 $query = "SELECT herd01.nr01,herd01.p01,herd01.p03,herd01.p04,herd01.p30,herd01.p05,herd01.p300,herd01.p301,herd01.z20,herd01.z21,z21.pcode 
         as z21pcode 
         FROM herd01 left join z21 on z21.nr01=herd01.z21 
         WHERE herd01.p04=:var_p04 
         and herd01.p01!='' 
         and  herd01.p05!=0 and herd01.p01!=''  AND herd01.p300=1 
         AND herd01.p301=0 
         UNION SELECT herd01.nr01,herd01.p01,herd01.p03,herd01.p04,herd01.p30,herd01.p05,herd01.p300,herd01.p301,herd01.z20,herd01.z21,z21.pcode as z21pcode 
         FROM herd01 
         left join z21 on z21.nr01=herd01.z21  
         JOIN z26 ON z26.d01=herd01.nr01 
         JOIN z29 ON z29.z28=z26.z28 
         WHERE herd01.p01!='' and herd01.p01!='' 
         and  herd01.p05!=0  
         AND z29.z30=:var_z30nr 
         AND herd01.p300=1 
         AND herd01.p301=1 
         ORDER BY p04,p03;" ;
         $query_params = array('var_p04'=>$p04, 'var_z30nr'=>$_SESSION['z30nr']);
	}else if($_SESSION['lang']=='EN') {
		$query =
        "SELECT herd01.nr01,herd01.ep01 
        as p01,herd01.p03,herd01.p04,herd01.ep30 
        as p30,herd01.p05,herd01.p300,herd01.p301,herd01.z20,herd01.z21,z21.pcode 
        as z21pcode 
        FROM herd01 
        left join z21 
        on z21.nr01=herd01.z21 
        WHERE herd01.p04=:var_p04 and herd01.ep01!='' 
        and  herd01.p05!=0  
        AND herd01.p300=1 
        AND herd01.P301=0 
        UNION SELECT herd01.nr01,herd01.ep01 
        as p01,herd01.p03,herd01.p04,herd01.ep30 as p30,herd01.p05,herd01.p300,herd01.p301,herd01.z20,herd01.z21,z21.pcode 
        as z21pcode 
        FROM herd01 
        left join z21 on z21.nr01=herd01.z21  
        JOIN z26 ON z26.d01=herd01.nr01 
        JOIN z29 ON z29.z28=z26.z28 
        WHERE herd01.ep01!='' 
        and  herd01.p05!=0 
        and  z29.z30=:var_z30nr
        AND herd01.p300=1 
        AND herd01.p301=1 
        ORDER BY p04,p03;";
        $query_params = array('var_p04'=>$p04, 'var_z30nr'=>$_SESSION['z30nr']);

	}else {
	 	$query = "SELECT herd01.nr01,herd01_multi.p01 
        as p01, herd01.p03,herd01.p04,herd01.p30,herd01.p05,herd01.p300,herd01.p301,herd01.z20,herd01.z21,z21.pcode 
        as z21pcode  
        FROM herd01  
        left join z21 
        on z21.nr01=herd01.z21 
        join herd01_multi 
        on herd01_multi.mnr01=herd01.nr01 
        and herd01_multi.lang=:var_lang 
        WHERE herd01.p04=:var_p04
        and herd01.p01!='' 
        and  herd01.p05!=0 
        and herd01.p01!=''  
        AND herd01.p300=1 
        AND herd01.p301=0 
        UNION SELECT herd01.nr01,herd01.p01,herd01.p03,herd01.p04,herd01.p30,herd01.p05,herd01.p300,herd01.p301,herd01.z20,herd01.z21,z21.pcode 
        as z21pcode FROM herd01 
        left join z21 on z21.nr01=herd01.z21  
        JOIN z26 ON z26.d01=herd01.nr01 
        JOIN z29 ON z29.z28=z26.z28 
        WHERE herd01.p01!='' 
        and   herd01.p05!=0  
        AND z29.z30=:var_z30nr
        AND herd01.p300=1 
        AND herd01.p301=1 
        ORDER BY p04,p03;";
        $query_params = array('var_p04'=>$p04, 'var_z30nr'=>$_SESSION['z30nr'], 'var_lang'=>$_SESSION['lang']);

	}
	$count=0;

	$resherd01 = pegasus_query($query, $query_params);
	while ($herd01 = pegasus_fetch ($resherd01, PEG_FETCH_ASSOC)) {
		if ($herd01['p05']==1) {
			$z21p00 = pegasus_getUrl('herd01',$herd01['nr01']) ;
		}elseif ($herd01['p05']==2) {
			$z21p00 = pegasus_getUrl('',0 , $herd01['z21pcode']);
		}elseif ($herd01['p04']==0){
			$z21p00 = '' ;
		}
		$count++;
		if($count==1){
			$extra_class = 'wow zoomIn';
		}elseif($count==2){
			$extra_class = 'wow slideInRight';
		}elseif($count==3){
			$extra_class = 'wow slideInUp';
		}
		echo '<div id="map'.$count.'" class="sitemap_fun '.$extra_class.'">';
		echo '<b data-toggle="collapse" data-target="#submap'.$count.'" class="pg_footer_arrows"></b>';
		//echo '<button type="button" class="btn btn-danger" data-toggle="collapse" data-target="#submap'.$count.'">View details &raquo;</button>';
		echo '<dl id="title'.$count.'" class="sitemap_titles"><a href="'.$z21p00.'">' . $herd01[p01] . '</a></dl>';

		//Υποομάδες επιλογών
		if($_SESSION['lang']=='GR') { 
			$query = "SELECT herd02.nr01,herd02.p01, herd02.p03,herd02.p04,herd02.p30,herd02.p300,herd02.p301,herd02.z20,herd02.z21,z21.pcode 
            as z21pcode 
            FROM herd02 
            left join z21 
            on z21.nr01=herd02.z21 
            WHERE herd02.p01!='' 
            and   herd02.d01=:var_herd01_nr01_1 
            AND herd02.p300=1 
            AND herd02.p301=0 
            UNION SELECT herd02.nr01,herd02.p01, herd02.p03,herd02.p04,herd02.p30,herd02.p300,herd02.p301,herd02.z20,herd02.z21,z21.pcode as z21pcode 
            FROM herd02 left join z21 on z21.nr01=herd02.z21  
            JOIN z27 ON z27.d02=herd02.nr01   
            JOIN z29 ON z29.z28=z27.z28 
            WHERE  herd02.p01!='' 
            and  herd02.d01=:var_herd01_nr01_2 
            AND herd02.p300=1 
            AND z29.z30=:var_z30nr  
            AND herd02.p301=1 
            ORDER BY  p03;" ;
            $query_params = array('var_herd01_nr01_1'=>$herd01['nr01'], 'var_herd01_nr01_2'=>$herd01['nr01'], 'var_z30nr'=>$_SESSION['z30nr']);

		}else if($_SESSION['lang']=='EN'){
			$query = "SELECT herd02.nr01,herd02.ep01 as p01, herd02.p03,herd02.p04,herd02.ep30 as p30,herd02.p300,herd02.p301,herd02.z20,herd02.z21,z21.pcode  as z21pcode 
            FROM herd02 
            left join z21 
            on z21.nr01=herd02.z21 
            WHERE herd02.ep01!='' 
            and  herd02.d01=:var_herd01_nr01_1 
            AND herd02.p300=1 
            AND herd02.p301=0 
            UNION  SELECT herd02.nr01,herd02.ep01 as p01, herd02.p03,herd02.p04,herd02.ep30 as p30,herd02.p300,herd02.p301,herd02.z20,herd02.z21,z21.pcode as z21pcode 
            FROM herd02 
            left join z21 on z21.nr01=herd02.z21  
            JOIN z27 ON z27.d02=herd02.nr01 
            JOIN z29 ON z29.z28=z27.z28 
            WHERE  herd02.ep01!='' 
            and  herd02.d01=:var_herd01_nr01_2 
            AND z29.z30=:var_z30nr 
            AND herd02.p300=1 
            AND herd02.p301=1 
            ORDER BY p03;";
            $query_params = array('var_herd01_nr01_1'=>$herd01['nr01'], 'var_herd01_nr01_2'=>$herd01['nr01'], 'var_z30nr'=>$_SESSION['z30nr']);
		}else{
			$query = "SELECT herd02.nr01, herd02_multi.p01 as p01, herd02.p03, herd02.p04, herd02_multi.p30 as p30, herd02.p300, herd02.p301, herd02.z20, herd02.z21,z21.pcode as z21pcode 
            FROM herd02 
            lEFT JOIN z21 on z21.nr01=herd02.z21 
            join herd02_multi on herd02_multi.mnr01=herd02.nr01 
            and herd02_multi.lang=:var_lang 
            WHERE herd02.p01!='' 
            AND herd02.d01=:var_herd01_nr01_1 
            AND herd02.p300=1 
            AND herd02.p301=0 ";
            $query_params = array('var_herd01_nr01_1'=>$herd01['nr01'], 'var_lang'=>$_SESSION['lang']);
			if($_SESSION['z30nr']>0){
				$query .=" UNION SELECT herd02.nr01, herd02_multi.p01 as p01, herd02.p03, herd02.p04, herd02_multi.p30 as p30, herd02.p300, herd02.p301, herd02.z20, herd02.z21,z21.pcode as z21pcode 
                FROM herd02 
                left join z21 on z21.nr01=herd02.z21 
                join herd02_multi on herd02_multi.mnr01=herd02.nr01 and herd02_multi.lang=:var_lang 
                join z27 on z27.d02=herd02.nr01 join z29 on z29.z28=z27.z28 
                WHERE  herd02.p01!='' 
                and  herd02.d01=:var_herd01_nr01_2 
                and herd02.p300=1 
                and herd02.p301=1 
                and z29.z30=:var_z30nr  ";
                $query_params['var_herd01_nr01_2']=$herd01['nr01'];
                $query_params['var_lang']=$_SESSION['lang'];
                $query_params['var_z30nr']=$_SESSION['z30nr'];

			}
			$query .=" ORDER BY p03;";	
		}
		//echo '<dt>' . $query . '</dt>';
		$resherd02 = pegasus_query($query, $query_params); // Run the query.
		if(pegasus_num_rows($resherd02)>0){
			echo '<div id="submap'.$count.'" class="pg_nav_collapse collapse">';			
		}
		while ($herd02 = pegasus_fetch ($resherd02, PEG_FETCH_ASSOC)) {
			$z21p00='';
			if ($herd02['p04']==1) {
				$z21p00 = pegasus_getUrl('herd02',$herd02['nr01']) ;
			}elseif ($herd02['p04']==2) {
				$z21p00 = pegasus_getUrl('',0 , $herd02['z21pcode']);
			}elseif ($herd02['p04']==0){
				$z21p00 = '' ;
			}
			echo '<dt><a href="'.$z21p00.'">' . $herd02['p01'] . '</a></dt>';

			//Οικογένειες Επιλογών
			if($_SESSION['lang']=='GR') {
				$query = "SELECT herd03.nr01,herd03.p01, herd03.p03,herd03.p04,herd03.p30,herd03.p300,herd03.p301,herd03.z20,herd03.z21,z21.pcode as z21pcode 
                FROM herd03 
                left join z21 on z21.nr01=herd03.z21 
                WHERE  herd03.p01!='' 
                and   herd03.d01=:var_herd01_nr01_1
                AND herd03.d02=:var_herd02_nr01_1
                AND herd03.p300=1 AND herd03.p301=0 
                UNION SELECT herd03.nr01,herd03.p01, herd03.p03,herd03.p04,herd03.p30,herd03.p300,herd03.p301,herd03.z20,herd03.z21,z21.p00 as z21p00 
                FROM herd03 
                left join z21 on z21.nr01=herd03.z21  
                JOIN z25 ON z25.d03=herd03.nr01 
                JOIN z29 ON z29.z28=z25.z28 
                WHERE  herd03.p01!='' 
                and  herd03.d01=var_herd01_nr01_2 
                AND herd03.d02=var_herd02_nr01_2
                AND herd03.p300=1 
                AND z29.z30=:var_z30r 
                AND herd03.p301=1 
                ORDER BY  p03;" ;
                $query_params= array('var_herd01_nr01_1'=>$herd01['nr01'], 'var_herd01_nr01_2'=>$herd01['nr01'],'var_herd02_nr01_1'=>$herd02['nr01'],'var_herd02_nr01_2'=>$herd02['nr01'], 'var_z30r'=>$_SESSION['z30nr']);
			}elseif ($_SESSION['lang']=='EN'){
				 $query = "SELECT herd03.nr01,herd03.ep01 as p01, herd03.p03,herd03.p04,herd03.ep30 as p30,herd03.p300,herd03.p301,herd03.z20,herd03.z21,z21.pcode as z21pcode 
                 FROM herd03 
                 left join z21 on z21.nr01=herd03.z21 
                 WHERE  herd03.ep01!='' 
                 and   herd03.d01=:var_herd01_nr01_1 
                 AND herd03.d02=:var_herd02_nr01_1 
                 AND herd03.p300=1 
                 AND herd03.p301=0 
                 UNION SELECT herd03.nr01,herd03.ep01 as p01, herd03.p03,herd03.p04,herd03.ep30 as p30,herd03.p300,herd03.p301,herd03.z20,herd03.z21,z21.pcode as z21pcode 
                 FROM herd03 
                 left join z21 on z21.nr01=herd03.z21  
                 JOIN z25 ON z25.d03=herd03.nr01 
                 JOIN z29 ON z29.z28=z25.z28
                  WHERE  herd03.ep01!='' 
                  and   herd03.d01=:var_herd01_nr01_2 
                  AND herd03.d02=:var_herd02_nr01_2
                  AND z29.z30=:var_z30r  
                  AND herd03.p300=1 
                  AND herd03.p301=1 
                  ORDER BY p03;";
                  $query_params= array('var_herd01_nr01_1'=>$herd01['nr01'], 'var_herd01_nr01_2'=>$herd01['nr01'],'var_herd02_nr01_1'=>$herd02['nr01'],'var_herd02_nr01_2'=>$herd02['nr01'], 'var_z30r'=>$_SESSION['z30nr']);
			}else{
				$query = "SELECT herd03.nr01, herd03_multi.p01 as p01, herd03.p03, herd03.p04, herd03_multi.p30 as p30, herd03.p300, herd03.p301, herd03.z20, herd03.z21, z21.pcode as z21pcode 
                FROM herd03 
                left join z21 on z21.nr01=herd03.z21 
                join herd03_multi on herd03_multi.mnr01=herd03.nr01 
                and herd03_multi.lang='" . $_SESSION['lang'] . "' 
                WHERE herd03.p01!='' and herd03.d01=:var_herd01_nr01_1 
                AND herd03.d02=:var_herd02_nr01_1
                AND herd03.p300=1 
                AND herd03.p301=0 
                UNION SELECT herd03.nr01, herd03_multi.p01 as p01, herd03.p03, herd03.p04, herd03_multi.p30 as p30, herd03.p300, herd03.p301, herd03.z20, herd03.z21, z21.pcode as z21pcode 
                FROM herd03 
                left join z21 on z21.nr01=herd03.z21 
                JOIN z25 ON z25.d03=herd03.nr01 
                JOIN z29 ON z29.z28=z25.z28 
                join herd03_multi on herd03_multi.mnr01=herd03.nr01 
                and herd03_multi.lang=:var_lang 
                WHERE herd03.p01!='' and herd03.d01=:var_herd01_nr01_2
                AND herd03.d02=:var_herd02_nr01_2
                AND herd03.p300=1 
                AND z29.z30=:var_z30r 
                AND herd03.p301=1 ORDER BY p03;";	
                $query_params= array('var_herd01_nr01_1'=>$herd01['nr01'], 'var_herd01_nr01_2'=>$herd01['nr01'],'var_herd02_nr01_1'=>$herd02['nr01'],'var_herd02_nr01_2'=>$herd02['nr01'], 'var_z30r'=>$_SESSION['z30nr'], 'var_lang' => $_SESSION['lang']);

			}
			$resherd03 = pegasus_query($query, $query_params); // Run the query.
			while ($herd03 = pegasus_fetch ($resherd03, PEG_FETCH_ASSOC)) {
				if ($herd03['p04']==1) {
					$z21p00 =  pegasus_getUrl('herd03',$herd03['nr01']) ; ;
				}elseif ($herd03['p04']==2) {
					$z21p00 =  pegasus_getUrl('',0 , $herd03['z21pcode']) ;
				}elseif ($herd03['p04']==0){
					$z21p00 = '' ;
				}
				echo '<dt><a href="'.$z21p00.'">' . $herd03[p01] . '</a></dt>';
			}
		}
		if(pegasus_num_rows($resherd02)>0){
			echo '</div>';
		}
		echo '</div>';
		
	}
}
?>

<!-- sitemap Kernel -->
<?php
    function sitemap_kernel($p04) {
                
        if(! (@get_class($_SESSION['kernelclass']) == 'kernelclass') ){
            $kernelclass = new kernelclass();
        }else{
            $kernelclass = $_SESSION['kernelclass'];
        }
        $kernelclass->kernel_omades_array($p04);
        $omades_arr = $kernelclass->menu_omades_arr;         
        
        /* Ομάδες επιλογών. Συμπεριλαμβάνονται οι υποομάδες και οικογένειες */
        $count = 0;
        foreach ($omades_arr as $herd01nr01 => $omada) {             
            if($omada['type']==2){
                /* Η ομάδα είναι τύπου σύνδεσμος */
                $url = pegasus_getUrl('', 0, $omada['z21pcode']);
                $herd01pcode = $omada['z21pcode'];
            }else{
                /* Η ομάδα είναι τύπου κείμενο */
                $url = pegasus_getUrl('herd01', $herd01nr01);
                $herd01pcode = pegasus_mysql_printfld('z21', 'pcode', ' nr=:var_herd01nr01 and tb="herd01" ', array('var_herd01nr01'=>$herd01nr01));
            }
            if(empty($url)){
                /* Αν δεν υπάρχει url τότε βάζουν # για να μην χαλάσουν τα elements */
                $url = '#';
            } 
            $count++;
            if($count==1){
                $extra_class = 'wow zoomIn';
            }elseif($count==2){
                $extra_class = 'wow slideInRight';
            }elseif($count==3){
                $extra_class = 'wow slideInUp';
            }  
             
            /* display omades */
            echo '<div id="map'.$count.'" class="sitemap_fun '.$extra_class.'">';
            echo '<div id="title'.$count.'" class="sitemap_titles"><a href="'.$url.'">';
            if($_SESSION['lang']=='EN'){
                /* Αν έχουμε Αγγλικά, η περιγραφή είναι μέσα στο ename */
                echo $omada['ename'];
            }else{
                /* Για οποιαδήποτε άλλη γλώσσα, η περιγραφή είναι μέσα στο name */
                echo $omada['name'];
            }
            echo '</a></div>';
            
            
            $close_sub = '';
            /* Αν έχουμε υποομάδες εισάγουμε τις κλάσεις και τα elements για να κάνουμε φτιάξουμε dropdown menu */
            if(!empty($omada['herd02arr'])){
                echo '<b data-toggle="collapse" data-target="#submap'.$count.'" class="pg_footer_arrows"></b>';
                echo '<dl id="submap'.$count.'" class="submap pg_nav_collapse collapse">';
                $close_sub = '<dd></dd></dl>';
            }
            /* Υποομάδες επιλογών. Συμπεριλαμβάνονται οι οικογένειες */
            foreach ($omada['herd02arr'] as $herd02nr01 => $ypoomada) {
                if($ypoomada['type']==2){
                    /* Η Υποομάδα είναι τύπου σύνδεσμος */
                    $url = pegasus_getUrl('', 0, $ypoomada['z21pcode']);
                    $herd02pcode = $ypoomada['z21pcode'];
                }else{
                    /* Η Υποομάδα είναι τύπου κείμενο */
                    $url = pegasus_getUrl('herd02', $herd02nr01);
                    $herd02pcode = pegasus_mysql_printfld('z21', 'pcode', ' nr=:var_herd02nr01 and tb="herd02" ', array('var_herd02nr01'=>$herd02nr01));
                }
                if(empty($url)){
                    $url = '#';
                }
                
                
                /* display ypo-omades */
                echo '<dt><a href="'.$url.'">';   
                if($_SESSION['lang']=='EN'){
                    echo $ypoomada['ename'];
                }else{
                    echo $ypoomada['name'];
                }
                echo '</a></dt>';  


                $close_sub_sub = '';
                /* Αν έχουμε οικογένειες...*/
                if(!empty($ypoomada['herd03arr'])){
                    echo '<b data-toggle="collapse" data-target="#sub_submap'.$count.'" class="pg_footer_arrows_sub"></b>';
                    echo '<dl id="sub_submap'.$count.'" class="sub_submap pg_nav_collapse collapse">';
                    $close_sub_sub = '<dd></dd></dl>';
                }
                
                 /* Οικογένειες επιλογών. */
                foreach ($ypoomada['herd03arr'] as $herd03nr01 => $oikogeneia) {
                    if($oikogeneia['type']==2){
                        /* Η Οικογένεια είναι τύπου σύνδεσμος */
                        $url = pegasus_getUrl('', 0, $oikogeneia['z21pcode']);
                        $herd03pcode = $oikogeneia['z21pcode'];
                    }else{
                        /* Η Οικογένεια είναι τύπου κείμενο */
                        $url = pegasus_getUrl('herd03', $herd03nr01);
                        $herd03pcode = pegasus_mysql_printfld('z21', 'pcode', ' nr=:var_herd03nr01 and tb="herd03" ', array('var_herd03nr01'=>$herd03nr01));
                    }
                    if(empty($url)){
                        $url = '#';
                    }
                    
                    /* display oikogeneies */
                    echo '<dt><a href="'.$url.'">';
                    if($_SESSION['lang']=='EN'){
                        echo $oikogeneia['ename'];
                    }else{
                        echo $oikogeneia['name'];
                    }
                    echo '</a></dt>';
                }
                echo $close_sub_sub;  
            }
            echo $close_sub;
            echo '</div>'; //close div#map
        }
        
            
    }
?>